ISXEVE - Bug #1221

GetCargoScannerResults
2014-10-14 03:09 PM - rogeruk

Status: In Progress
Priority: Normal
Assignee: CyberTech
Category: broken feature(s)

Target version:

vbulletin_issue_id:

Description

Using GetCargoScannerResults on a target gives the wrong information about the cargo.

if ${Target.Value.HasCargoScannerResults}
{
Target.Value:GetCargoScannerResults[CargoResul]
echo "${CargoResult.Used} ltems"
CargoResult:Getlterator[Cargo]
if ${Cargo:First(exists)}
{
do

{
echo ${Cargo.Value.Type}

while ${Cargo:Next(exists)}

}
}

The target had this in their cargo:

1 Expanded Cargohold Il
1 Reinforced Bulkheads Il
1 Reinforced Bulkheads Il
1 Expanded Cargohold Il
1 Expanded Cargohold Il
1 Amarr Shuttle

1 Reinforced Bulkheads Il

but the script reported

7 ltems

Expanded Cargohold Il
Expanded Cargohold lI
Expanded Cargohold Il
Expanded Cargohold Il
Expanded Cargohold Il
Expanded Cargohold Il
Expanded Cargohold lI

History

#1 - 2014-10-14 04:55 PM - Amadeus
- Status changed from New to In Progress

- Assignee set to Administrators

#2 - 2014-10-14 05:48 PM - Amadeus

- Assignee changed from Administrators to CyberTech

#3 - 2014-10-27 12:19 PM - rogeruk
Any updates/progress on this?

#4 - 2015-08-28 05:53 AM - rogeruk
Any updates?
